package DB;
final public class ExceptionHolder
	implements org.omg.CORBA.portable.Streamable
{
	public DB.Exception value;

	public ExceptionHolder ()
	{
	}
	public ExceptionHolder (DB.Exception initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return DB.ExceptionHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = DB.ExceptionHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		DB.ExceptionHelper.write(_out,value);
	}
}
